import { jsx } from "react/jsx-runtime";
import { TokenVELA as TokenVELA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVELA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VELA", "data-name": "TokenVELA", ...props, children: /* @__PURE__ */ jsx(TokenVELA$1, { variant }) });
  }
);
TokenVELA.displayName = "TokenVELA";
Object.assign(TokenVELA, { isGdsIcon: true });
export {
  TokenVELA
};
